Bug 1305261 - Review Request: perl-Sereal - Fast, compact, powerful binary (de-)serialization
Review Request: perl-Sereal - Fast, compact, powerful binary (de-)serialization
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Denis Fateyev
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-02-06 09:13 EST by Denis Fateyev
Modified: 2016-03-27 21:55 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-03-27 21:55:09 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Denis Fateyev 2016-02-06 09:13:22 EST
Spec URL: http://www.fateyev.com/RPMS/Fedora22/perl-Sereal.spec
SRPM URL: http://www.fateyev.com/RPMS/Fedora22/perl-Sereal-3.014-1.fc24.src.rpm
Description: Sereal is an efficient, compact-output, binary and feature-rich serialization protocol. The Perl encoder is implemented as the Sereal::Encoder module, the Perl decoder correspondingly as Sereal::Decoder. They are distributed separately to allow for safe upgrading without downtime.
(Hint: Upgrade the decoder everywhere first, then the encoder.)
Fedora Account System Username: dfateyev

Koji scratch build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=12895333 (Rawhide)
In the future also planned for epel7.
Comment 1 Petr Šabata 2016-02-08 04:43:40 EST
This is already in Fedora.

*** This bug has been marked as a duplicate of bug 1267198 ***
Comment 2 Denis Fateyev 2016-02-08 09:01:00 EST
Sorry, the same issue as with RHBZ #1305266.
Could you provide epel7 branch with the package (supporting perl-Sereal-Encoder, perl-Sereal-Decoder, etc. packages there, too), or you aren't interested and I should request epel7 branch by myself?
Comment 3 Petr Šabata 2016-02-08 09:15:19 EST
The same response as in bug 1305266 :)
Comment 4 Petr Pisar 2016-02-09 03:18:17 EST
I'm not much interested in EPEL. I saw you had already asked for the branches and I forwarded them to relengs to create the branches for you.

Don't forget the two Sereal packages requires themselves for tests. You will have to insert %perl_boostrap macro definition into one of them, then build them and then remove the definition and rebuild the package again.
Comment 5 Denis Fateyev 2016-02-09 03:39:24 EST
OK. Thanks for the details on bootstrap.
Comment 6 Denis Fateyev 2016-03-10 08:28:19 EST
"perl-Sereal" package epel7 provision and update progress.
Comment 7 Fedora Update System 2016-03-10 08:29:18 EST
perl-Sereal-3.003-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-b62e983e59
Comment 8 Fedora Update System 2016-03-12 15:50:47 EST
perl-Sereal-3.003-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-b62e983e59
Comment 9 Fedora Update System 2016-03-27 21:55:07 EDT
perl-Sereal-3.003-1.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.